### Constructor

# RB StaticPlaylistSource new

#### Declaration [src]

    RBSource*
    rb_static_playlist_source_new (
      RBShell* shell,
      const char* name,
      GSettings* settings,
      gboolean local,
      RhythmDBEntryType* entry_type
    )

#### Description [src]

Creates a new static playlist source.

#### Parameters

`shell`

  Type: `RBShell`

  The `RBShell`.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  The playlist name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`settings`

  Type: `GSettings`

  GSettings instance, or NULL to have one created.

  The data is owned by the caller of the function.

`local`

  Type: `gboolean`

  If `TRUE`, the playlist is local to the library.

`entry_type`

  Type: `RhythmDBEntryType`

  Type of database entries that can be added to the playlist.

  The data is owned by the caller of the function.

#### Return value

Type: `RBSource`

New playlist.

The data is owned by the called function.